### Hierarchy

- JsonFormsBaseRenderer<Categorization>
  - CategorizationTabLayoutRenderer

### Implements

- OnInit
- OnDestroy

## Index

### Constructors

- constructor

### Properties

- hidden
- ngRedux
- path
- schema
- subscription
- uischema

### Methods

- getOwnProps
- ngOnDestroy
- ngOnInit

## Constructors

### constructor

- new CategorizationTabLayoutRenderer(ngRedux: NgRedux<JsonFormsState>): CategorizationTabLayoutRenderer

- - Defined in layouts/categorization-layout.renderer.ts:59

  #### Parameters

  - ##### ngRedux: NgRedux<JsonFormsState>

  #### Returns CategorizationTabLayoutRenderer

## Properties

### hidden

hidden: boolean

- Defined in layouts/categorization-layout.renderer.ts:58

### Private ngRedux

ngRedux: NgRedux<JsonFormsState>

- Defined in layouts/categorization-layout.renderer.ts:61

### path

path: string

Inherited from JsonFormsBaseRenderer.path

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:5

### schema

schema: JsonSchema

Inherited from JsonFormsBaseRenderer.schema

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:4

### Private subscription

subscription: Subscription

- Defined in layouts/categorization-layout.renderer.ts:59

### uischema

uischema: Categorization

Inherited from JsonFormsBaseRenderer.uischema

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:3

## Methods

### Protected getOwnProps

- getOwnProps(): OwnPropsOfRenderer

- Inherited from JsonFormsBaseRenderer.getOwnProps

  - Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:6

  #### Returns OwnPropsOfRenderer

### ngOnDestroy

- ngOnDestroy(): void

- - Defined in layouts/categorization-layout.renderer.ts:74

  #### Returns void

### ngOnInit

- ngOnInit(): void

- - Defined in layouts/categorization-layout.renderer.ts:65

  #### Returns void

Generated using TypeDoc